/***************************************************************
 * Name:      gauge.h
 * Purpose:   Defines Dialog gauge
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-29
 * Copyright: Salvador Pozo (www.conclase.net)
 * License:
 **************************************************************/

#ifndef GAUGE_H
#define GAUGE_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

class gauge : public wxDialog
{
    public:
        gauge(wxWindow *wnd);
        virtual ~gauge();

    protected:
        enum
        {
            idGauge1 = 1000,
            idGauge2,
            idtemp
        };
        wxGauge* m_gauge1;
        wxGauge* m_gauge2;
        wxTimer m_temp;

    private:
        void OnClose(wxCloseEvent& event);
        void OnTimer(wxTimerEvent& event);
        wxDECLARE_EVENT_TABLE();
};

#endif // GAUGE_H

