#ifndef HEADER_CDFB1BC4DBF27EC
#define HEADER_CDFB1BC4DBF27EC

/***************************************************************
 * Name:      wx010Main.h
 * Purpose:   Defines Application Frame
 * Author:    Salvador Pozo (salvador@conclase.net)
 * Created:   2024-11-29
 * Copyright: Salvador Pozo (https://conclase.net)
 * License:
 **************************************************************/

#ifndef WX010MAIN_H
#define WX010MAIN_H

#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif

#include "wx010App.h"
#include "gauge.h"

class wx010Frame: public wxFrame
{
    public:
        wx010Frame(wxFrame *frame, const wxString& title);
        ~wx010Frame();
    private:
        enum
        {
            idMenuQuit = 1000,
            idMenuAbout,
            idMenuGauge
        };
        void OnClose(wxCloseEvent& event);
        void OnQuit(wxCommandEvent& event);
        void OnAbout(wxCommandEvent& event);
        void OnGauge(wxCommandEvent& event);
        DECLARE_EVENT_TABLE()
};


#endif // WX010MAIN_H
#endif // header guard 

